/****** REXX - RowCount **************************************/ 
/*                                                           */ 
/*   This process will read a file to determine if the       */ 
/*   is empty or not.                                        */ 
/*                                                           */ 
/*   The Parameters for this process is:                     */ 
/*     (1)  Input File Name                                  */ 
/*                                                           */ 
/*************************************************************/ 

TRACE N 
ADDRESS TSO 

ARG InFileName . 

IF InFileName = '' THEN DO 
   "CLEAR" 
   DO i = 1 to 50 
      IF ABBREV(SourceLine(i), 'TRACE') THEN EXIT 4 
      SAY STRIP(SourceLine(i)) 
      END 
   END 

IF LISTDSI(InFileName) <> 0 THEN EXIT 2 
IF SYSDSORG = "PO" THEN EXIT 3 

"ALLOC DDN(InFile) SHR DSN("InFileName") REUSE" 
"EXECIO 100 DISKR InFile (STEM Data. FINIS)" 
"FREE DDN(InFile)" 
IF Data.0 = 0 THEN EXIT 1 

EXIT 0 
