/*===== REXX - Sample ==============================================*/ 
/*                                                                  */ 
/*  This EXEC is an ISPF Edit Macro that will breakdown a large     */ 
/*  dataset into a sample of its data.  It accepts the following    */ 
/*  parameters:                                                     */ 
/*    (1) Number of Sample Intervals                                */ 
/*    (2) Number of Rows per Interval                               */ 
/*                                                                  */ 
/*==================================================================*/ 

ADDRESS ISREDIT "MACRO (Parm1)" 
ADDRESS ISREDIT "(fLine) = LINENUM .ZFIRST" 
ADDRESS ISREDIT "(lLine) = LINENUM .ZLAST" 

PARSE VAR Parm1 Intervals "," Samples "," . 

ADDRESS ISREDIT "X "(lLine - Samples + 1)" "lLine 
ADDRESS ISREDIT "X "fLine" "Samples 

DO I = 1 TO Intervals-1 
   cLine1 = (lLine / Intervals) - Samples + 1 
   cLine2 = (lLine / Intervals) + Samples - 1 
   ADDRESS ISREDIT "X "cLine1" "cLine2 
   END 
